# coding: utf-8
lib = File.expand_path('../lib', __FILE__)
$LOAD_PATH.unshift(lib) unless $LOAD_PATH.include?(lib)
require 'sorcery/encryptor/version'

Gem::Specification.new do |spec|
  spec.name          = "sorcery-encryptor"
  spec.version       = Sorcery::Encryptor::VERSION
  spec.authors       = ["Jordan Babe"]
  spec.email         = ["jorbabe@gmail.com"]
  spec.description   = %q{Custom encryption for Sorcery}
  spec.summary       = %q{Custom encryption for Sorcery. This lets you share users between Sorcery and Devise}
  spec.homepage      = "http://github.com/amaabca/sorcery-encryptor"
  spec.license       = "MIT"

  spec.files         = `git ls-files`.split($/)
  spec.executables   = spec.files.grep(%r{^bin/}) { |f| File.basename(f) }
  spec.test_files    = spec.files.grep(%r{^(test|spec|features)/})
  spec.require_paths = ["lib"]

  spec.add_dependency "sorcery", "~> 0.8"

  spec.add_development_dependency "bundler", "~> 1.3"
  spec.add_development_dependency "rake"
  spec.add_development_dependency "pry"
  spec.add_development_dependency "simplecov"
  spec.add_development_dependency "coveralls"
  spec.add_development_dependency "rspec"
end
