require 'spec_helper'

describe Sorcery::CryptoProviders::SHA1 do

  describe '#encrypt_like_devise' do
    it 'modifies the behaviour of #encrypt' do
      Sorcery::CryptoProviders::SHA1.encrypt_like_devise == Sorcery::CryptoProviders::SHA1.encrypt
    end
  end

  describe '#secure_digest_like_devise' do
    it 'modifies the behaviour of #secure_digest' do
      Sorcery::CryptoProviders::SHA1.secure_digest_like_devise == Sorcery::CryptoProviders::SHA1.secure_digest
    end
  end

end